Bug 927920 - Review Request: php-pecl-msgpack - API for communicating with MessagePack serialization
Summary: Review Request: php-pecl-msgpack - API for communicating with MessagePack ser...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-26 14:07 UTC by Remi Collet
Modified: 2013-05-04 18:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-18 02:47:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)
fedora-review (7.58 KB, text/plain)
2013-04-02 21:42 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2013-03-26 14:07:31 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/a812488534ff942c46640583225acb86f5165b1c/php/pecl/php-pecl-msgpack/php-pecl-msgpack.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-msgpack-0.5.5-2.remi.src.rpm
Description: 
This extension provide API for communicating with MessagePack serialization.

MessagePack is an efficient binary serialization format. It lets you exchange
data among multiple languages like JSON but it's faster and smaller.
For example, small integers (like flags or error code) are encoded into a
single byte, and typical short strings only require an extra byte in addition
to the strings themselves.

If you ever wished to use JSON for convenience (storing an image with metadata)
but could not for technical reasons (encoding, size, speed...), MessagePack is
a perfect replacement.

This extension is still EXPERIMENTAL.

Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2013-04-01 22:36:54 UTC
Please verify license.  msgpack/version.h lists Apache 2.

Comment 2 Remi Collet 2013-04-02 15:23:28 UTC
Pff... stupid of me.

This is a bundled library.
https://github.com/remicollet/remirepo/commit/fc7baf2831a9892efba6a5d16f84ac705d837bfa

Using the system one, we don't use the msgpack bundled copy, so, I think, license is now ok.

Spec: https://raw.github.com/remicollet/remirepo/fc7baf2831a9892efba6a5d16f84ac705d837bfa/php/pecl/php-pecl-msgpack/php-pecl-msgpack.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-pecl-msgpack-0.5.5-3.remi.src.rpm

This is a strange library.. as all the code (used by this extension) is in the headers, the shared lib is not required at runtime... looks like a static lib ;)

Comment 3 Shawn Iwinski 2013-04-02 21:42:58 UTC
Created attachment 730987 [details]
fedora-review

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 927920

Comment 4 Shawn Iwinski 2013-04-02 21:43:32 UTC
No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2013-04-03 07:05:54 UTC
Again, thanks for all this reviews.

New Package SCM Request
=======================
Package Name: php-pecl-msgpack
Short Description: API for communicating with MessagePack serialization
Owners: remi
Branches: f18 f19 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-04-03 11:53:03 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-03 13:11:20 UTC
php-pecl-msgpack-0.5.5-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pecl-msgpack-0.5.5-3.fc18

Comment 8 Fedora Update System 2013-04-05 00:02:20 UTC
php-pecl-msgpack-0.5.5-3.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-04-12 10:20:58 UTC
php-pecl-msgpack-0.5.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-pecl-msgpack-0.5.5-3.fc19

Comment 10 Fedora Update System 2013-04-18 02:47:06 UTC
php-pecl-msgpack-0.5.5-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-04-18 09:08:50 UTC
php-pecl-msgpack-0.5.5-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pecl-msgpack-0.5.5-4.el6

Comment 12 Fedora Update System 2013-04-20 19:28:16 UTC
php-pecl-msgpack-0.5.5-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-05-04 18:45:01 UTC
php-pecl-msgpack-0.5.5-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.